Editor
Keywords: uk.ac.ic.doc.automed.editor.Editor class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.editor
Class Editor

    java.lang.Object
      uk.ac.ic.doc.automed.editor.CommandLineDriver
          uk.ac.ic.doc.automed.editor.Editor

    public class Editor

extends CommandLineDriver

Field Summary
`static java.lang.String[]` | `getCurrentModelSyntax`
`static java.lang.String` | `getModelsHelp`
`static java.lang.String[]` | `getModelsSyntax`
`static java.lang.String` | `getNetworkHelp`
`static java.lang.String` | `getNetworkNamesHelp`
`static java.lang.String[]` | `getNetworkNamesSyntax`
`static java.lang.String` | `getNetworksHelp`
`static java.lang.String[]` | `getNetworksSyntax`
`static java.lang.String[]` | `getNetworkSyntax`
`static java.lang.String` | `getSchemaNetworkHelp`
`static java.lang.String[]` | `getSchemaNetworkSyntax`
`static java.lang.String` | `helpGetCurrentModel`
`static java.lang.String` | `listSchemaHelp`
`static java.lang.String[]` | `listSchemaSyntax`
`static java.lang.String` | `printNetworkHelp`
`static java.lang.String[]` | `printNetworkSyntax`

Fields inherited from class uk.ac.ic.doc.automed.editor.CommandLineDriver
`ANY, AT_LEAST_ONE, exitHelp, exitSyntax, helpHelp, helpSyntax, OPTIONAL, quitHelp, quitSyntax`

Constructor Summary
`Editor(java.lang.String[] args)`

Method Summary
`java.lang.String[]` | `doGetModelsCommand(java.lang.String[] args)`
`java.lang.String[]` | `doGetNetworkCommand(java.lang.String[] args)`
`java.lang.String[]` | `doGetNetworkNamesCommand(java.lang.String[] args)`
`java.lang.String[][]` | `doGetNetworksCommand(java.lang.String[] args)`
`java.lang.String` | `doGetSchemaNetworkCommand(java.lang.String[] args)`
`java.lang.String` | `doListSchemaCommand(java.lang.String[] args)`
`java.lang.String` | `doPrintNetworkCommand(java.lang.String[] args)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class uk.ac.ic.doc.automed.editor.CommandLineDriver
`dispatchCommand, doExitCommand, doHelpCommand, doQuitCommand, exitCommandLine, exitCommandLine, processCommands, processCommands, reflectCommandMethods`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### getNetworksHelp

    public static final java.lang.String getNetworksHelp

See Also:
  Constant Field Values

### getNetworksSyntax

    public static final java.lang.String[] getNetworksSyntax

### getNetworkHelp

    public static final java.lang.String getNetworkHelp

See Also:
  Constant Field Values

### getNetworkSyntax

    public static final java.lang.String[] getNetworkSyntax

### getNetworkNamesHelp

    public static final java.lang.String getNetworkNamesHelp

See Also:
  Constant Field Values

### getNetworkNamesSyntax

    public static final java.lang.String[] getNetworkNamesSyntax

### getSchemaNetworkHelp

    public static final java.lang.String getSchemaNetworkHelp

See Also:
  Constant Field Values

### getSchemaNetworkSyntax

    public static final java.lang.String[] getSchemaNetworkSyntax

### listSchemaHelp

    public static final java.lang.String listSchemaHelp

See Also:
  Constant Field Values

### listSchemaSyntax

    public static final java.lang.String[] listSchemaSyntax

### printNetworkHelp

    public static final java.lang.String printNetworkHelp

See Also:
  Constant Field Values

### printNetworkSyntax

    public static final java.lang.String[] printNetworkSyntax

### getModelsHelp

    public static final java.lang.String getModelsHelp

See Also:
  Constant Field Values

### getModelsSyntax

    public static final java.lang.String[] getModelsSyntax

### getCurrentModelSyntax

    public static final java.lang.String[] getCurrentModelSyntax

### helpGetCurrentModel

    public static final java.lang.String helpGetCurrentModel

See Also:
  Constant Field Values

Constructor Detail

### Editor

    public Editor(java.lang.String[] args)

Method Detail

### main

    public static void main(java.lang.String[] args)

### doGetNetworksCommand

    public java.lang.String[][] doGetNetworksCommand(java.lang.String[] args)

### doGetNetworkCommand

    public java.lang.String[] doGetNetworkCommand(java.lang.String[] args)

### doGetNetworkNamesCommand

    public java.lang.String[] doGetNetworkNamesCommand(java.lang.String[] args)

### doGetSchemaNetworkCommand

    public java.lang.String doGetSchemaNetworkCommand(java.lang.String[] args)

### doListSchemaCommand

    public java.lang.String doListSchemaCommand(java.lang.String[] args)
                                         throws EditorException,
                                                NotFoundException

  Throws:
    `EditorException`
    `NotFoundException`

### doPrintNetworkCommand

    public java.lang.String doPrintNetworkCommand(java.lang.String[] args)
                                           throws EditorException

  Throws:
    `EditorException`

### doGetModelsCommand

    public java.lang.String[] doGetModelsCommand(java.lang.String[] args)
                                          throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD